package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 *
 * </p>
 *
 * @author xf
 * @since 2024-03-20
 */
@TableName("client_upgrade")
@ApiModel(value = "ClientUpgrade对象", description = "")
public class ClientUpgrade implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "platform")
    private String platform;

    @ApiModelProperty(value = "安装包保存地址")
    private String installPath;

    @ApiModelProperty(value = "版本名称")
    private String version;

    @ApiModelProperty(value = "版本号，用于客户端比对版本高低")
    private Integer build;

    @ApiModelProperty(value = "增量升级最低版本号，低于（含）此版本需要下载安装包重新安装")
    private Integer supportMin;

    @ApiModelProperty(value = "升级包保存地址")
    private String upgradePath;

    @ApiModelProperty(value = "mainfest.json保存地址")
    private String mainfestPath;
    @ApiModelProperty(value = "安装包更新时间")
    private Long installUploadTime;
    @ApiModelProperty(value = "升级包更新时间")
    private Long upgradeUploadTime;

    public ClientUpgrade() {
    }

    public ClientUpgrade(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getInstallPath() {
        return installPath;
    }

    public void setInstallPath(String installPath) {
        this.installPath = installPath;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getBuild() {
        return build;
    }

    public void setBuild(Integer build) {
        this.build = build;
    }

    public Integer getSupportMin() {
        return supportMin;
    }

    public void setSupportMin(Integer supportMin) {
        this.supportMin = supportMin;
    }

    public String getUpgradePath() {
        return upgradePath;
    }

    public void setUpgradePath(String upgradePath) {
        this.upgradePath = upgradePath;
    }

    public String getMainfestPath() {
        return mainfestPath;
    }

    public void setMainfestPath(String mainfestPath) {
        this.mainfestPath = mainfestPath;
    }

    public Long getInstallUploadTime() {
        return installUploadTime;
    }

    public void setInstallUploadTime(Long installUploadTime) {
        this.installUploadTime = installUploadTime;
    }

    public Long getUpgradeUploadTime() {
        return upgradeUploadTime;
    }

    public void setUpgradeUploadTime(Long upgradeUploadTime) {
        this.upgradeUploadTime = upgradeUploadTime;
    }

    @Override
    public String toString() {
        return "ClientUpgrade{" +
                "platform=" + platform +
                ", installPath=" + installPath +
                ", version=" + version +
                ", build=" + build +
                ", supportMin=" + supportMin +
                ", upgradePath=" + upgradePath +
                "}";
    }
}
